Package org.globus.rsl

# Class Value

java.lang.Object
org.globus.rsl.Value

Direct Known Subclasses:
  `VarRef`

public class Value extends Object
This class represents a simple value (a string) that can be concatinated with another value.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Value`
`concatValue`
`protected String`
`value`

## Constructor Summary

Constructors
Constructor
Description
`Value(String value)`
`Value(String value, Value concatValue)`

## Method Summary

Modifier and Type
Method
Description
`void`
`concat(Value value)`
Appends the specified value to the end of the chain of concatinated values.
`boolean`
`equals(Object obj)`
`String`
`evaluate(Map symbolTable)`
Evaluates the value with the specified symbol table.
`String`
`getCompleteValue()`
Returns a complete string representation of this value.
`Value`
`getConcat()`
Returns the value that is concatinated with this value.
`String`
`getValue()`
Returns the actual string value.
`int`
`hashCode()`
`void`
`setValue(String value)`
Sets the actual value.
`String`
`toRSL(boolean explicitConcat)`
Returns a RSL representation of this value.
`void`
`toRSL(StringBuffer buf, boolean explicitConcat)`
Produces a RSL representation of this value.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### value

protected String value

### concatValue

protected Value concatValue

## Constructor Details

### Value

public Value(String value)

### Value

public Value(String value, Value concatValue)

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### setValue

public void setValue(String value)
Sets the actual value.

Parameters:
  `value` - the new value.

### getValue

public String getValue()
Returns the actual string value.

Returns:
  the current value.

### getConcat

public Value getConcat()
Returns the value that is concatinated with this value.

Returns:
  the value that is concatinated with this value. Null, otherwise.

### concat

public void concat(Value value)
Appends the specified value to the end of the chain of concatinated values. That is, if this value has no concatinated value then set the specified value as the concatinated value. If this value already has a concatinated value then append the specified value to that concatinated value.

Parameters:
  `value` - the value to concatinate.

### evaluate

public String evaluate(Map symbolTable) throws RslEvaluationException
Evaluates the value with the specified symbol table. In this case the function just returns the string representation of the actual value. No symbol table lookups are performed.

Parameters:
  `symbolTable` - the symbol table to evaluate the value against.
Returns:
  an evaluated string.
Throws:
  `RslEvaluationException` - If an error occured during rsl evaluation.

### toRSL

public String toRSL(boolean explicitConcat)
Returns a RSL representation of this value.

Parameters:
  `explicitConcat` - if true explicit concatination will be used in RSL strings.
Returns:
  RSL representation of this value.

### toRSL

public void toRSL(StringBuffer buf, boolean explicitConcat)
Produces a RSL representation of this value.

Parameters:
  `buf` - buffer to add the RSL representation to.
  `explicitConcat` - if true explicit concatination will be used in RSL strings.

### getCompleteValue

public String getCompleteValue()
Returns a complete string representation of this value.

Returns:
  a complete string representation of this value.

### toString

public String toString()

Overrides:
  `toString` in class `Object`